List my notifications
GET
/notifications
const url = 'https://example.com/notifications?limit=20';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/notifications?limit=20' \ --cookie bottle.session_token=<bottle.session_token>The signed-in person’s notices in this business, newest first, with how many are unread.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
Responses
Section titled “Responses”The notices
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
kind
required
string
title
required
string
body
required
string | null
href
required
string | null
readAt
required
string | null format: date-time
createdAt
required
string format: date-time
unread
required
integer
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "round.issued" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}A key, not a person: notices belong to people
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}